qpid-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Zhihua Che <zhihua....@gmail.com>
Subject Re: [Building Error] cannot find boost_program_option/boost_filesystem
Date Sat, 31 Mar 2012 09:10:42 GMT
Hi, everyone

Sorry to bother you all. I'd say I get another problem about
qpid-config. I''ve written an example using qpid::messaging. And it
works:-).

Furthermore, I wanna I can control my qpidd using tools like qpid-config.
I installed tools following the steps below:

cd <src-dir>/extras/qmf/
python setup.py build
python setup.py install

cd <src-dir>/tools
python setup.py build
sudo python setup.py install

export PYTHONPATH=<src/dir>/python:<src/dir>/extras/qmf/src/py

After these setups, I issued qpid-config --help, it printed help info.
I thought it is installed correctly.
Unfortunately, I was wrong, when I issued qpid-config add queue xxx,
it complained

Failed: VersionError: client: 0-10, server: 9-1

I guess it was caused by mismatch between the version of broker and
that of client. But I installed them all from the same code
repository. Did I miss something.

Appreciate any help:-(

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@qpid.apache.org
For additional commands, e-mail: users-help@qpid.apache.org


Mime
View raw message